Subject: Re: bug#22185: Operation not permitted for `touch -d` on 777 file

From: Paul Eggert <[email-masked]>
Date: Wed, 16 Dec 2015 12:59:52 -0800

Silvio Ricardo Cordeiro wrote:
> If other users have full control over the file (and surrounding directory),
> shouldn't they be able to change its date?

Mode 777 does not mean full control; it merely means read, write, and execute 
access is granted to everybody. Other users still cannot chmod the file, for 
example; nor can they set the file's time stamps in arbitrary ways.